### Signal

# Clutter Text::cursor-event

deprecated: 1.16 since: 13

#### Declaration

    void
    cursor_event (
      ClutterText* self,
      const graphene_rect_t* rect,
      gpointer user_data
    )

#### Description [src]

The signal is emitted whenever the cursor position changes inside a `ClutterText` actor. Inside `rect` it is stored the current position and size of the cursor, relative to the actor itself.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 13
Deprecated since: 1.16
Use the `ClutterText::cursor-changed` signal instead.

#### Parameters

`rect`

  Type: `graphene_rect_t`

  The coordinates of the cursor.

  The data is owned by the caller of the function.